public class RosterTest {

  public static void main( String args[] )
  {
    if( args.length == 0 )
    {
      System.out.println( "usage: java RosterTest <roster_file>" );
      System.exit(1);
    }

    Roster r = new Roster( args[0] );
    r.list();

    try
    {
      r.add( new Student("200000003", "Parker", "Peter") );
      r.list();
    }
    catch( RosterException e )
    {
      System.out.println( e.getMessage() );
    }

    System.out.println( r.numOfStudents() );
    System.out.println( r.numOfStudents("Engineering & Technology") );
    System.out.println( r.numOfStudents("Arts & Letters") );

    try
    {
      r.add( new Student("200001000", "Bourne", "Jason") );
      r.list();
      r.add( new Student("200001001", "Marie", "Kreutz") );
      r.list();
    }
    catch( RosterException e )
    {
      System.out.println( e.getMessage() );
    }
  }

} // end of class RosterTest

